\name{Sample-class}
\docType{class}
\alias{Sample-class}
\alias{Sample}
\alias{createNewDBTable,Sample-method}
\alias{getContentMatrix,Sample-method}
\alias{createNewDBTable}
\alias{getContentMatrix}
\alias{getPK,Sample-method}


\title{Class "Sample" }
\description{In this object information about the sample that was hybridized onto a micro array can be stored into.}
\section{Slots}{
  \describe{
    \item{\code{name}:}{The name of the sample.}
    \item{\code{genus}:}{The genus of the sample.}
    \item{\code{species}:}{The species.}
    \item{\code{line}:}{The cell line from wich the sample origins.}
    \item{\code{individual}:}{The patient ID if the sample was extracted from a patient.}
    \item{\code{sample.provider}:}{The sample provider.}
    \item{\code{sex}:}{Sample sex.}
    \item{\code{age}:}{Age (ov the individual).}
    \item{\code{developmental.state}:}{The developmental state.}
    \item{\code{tissue}:}{The tissue the sample comes from.}
    \item{\code{celltype}:}{Sample celltype.}
    \item{\code{genetic.modifications}:}{Genetic modifications of the sample.}
    \item{\code{disease.state}:}{Disease state.}
    \item{\code{ref.to.clinical.data}:}{References to clinical data.}
    \item{\code{growth.conditions}:}{Sample growth conditions.}
    \item{\code{in.vivo.treatments}:}{Sample in vivo treatments.}
    \item{\code{tissue.harvesting.method}:}{Tisuue harvesting method.}
    \item{\code{extract.method}:}{Sample extraction method.}
    \item{\code{molecule.type}:}{Molecule type.}
    \item{\code{amplification}:}{Samle amplification.}
    \item{\code{amount}:}{Sample amount.}
    \item{\code{treatment}:}{Sample treatment.}
    \item{\code{exposure.time}:}{Sample treatment exposure time.}
    \item{\code{description}:}{Sample description.}
  }
}
\section{Methods}{
  \describe{
    \item{createNewDBTable}{\code{signature(object = "Sample")}: creates a new database table in wich objects of the type \code{sample} can be stored into.}
    \item{getContentMatrix}{\code{signature(object = "Sample")}: returns the content of the individual slots of the \code{sample} object as a character matrix. }
    \item{getPK}{\code{signature(object = "Sample")}: checks if a sample with the same attributes exists already in the database and returns its primary key or it inserts the sample in the database and returns the primary key of the newly inserted sample. }
    \item{loadFromDB}{\code{signature(object = "Sample")}: loads the slots of the \code{sample} object with the attributes stored in the database. }
  }
}
\references{}
\author{Johannes Rainer}

\seealso{
  \code{\link{MadbSet-class}}
  \code{\link{loadFromDB}}
  \code{\link{publishToDB}}
}
\examples{
}
\keyword{classes}
