\name{deleteExperimentFromDB}
\alias{deleteExperimentFromDB}
\title{Deleting a experiment from a database.}
\description{
  \code{deleteExperimentFromDB} deletes an experiment (dataset) from the maDB database.
}
\usage{
deleteExperimentFromDB(con,exp.title,v=TRUE)
}
\arguments{
  \item{con}{The connection to the database (returned by the \code{dbConnect} function of the \pkg{RdbiPgSQL} package).}
  \item{exp.title}{The name (title) from the experiment in the database that should be deleted (to get a list of available experiments in the database use \code{\link{dbGetExperimentInfo}}).}
  \item{v}{If TRUE additional information will be printed to the console.}
}
\details{
Like every function from the \pkg{pgUtils} and \pkg{maDB} packages that writes or updates values in a PostgreSQL database, this function uses transactions. The advantage of tranactions is, that the database status before running the function is automatically recreated if an error occurs during the function execution, or if the user aborts the execution.
}
\references{}
\author{Johannes Rainer}

\seealso{
    \code{\link{publishToDB}}
    \code{\link{dbGetExperimentInfo}}
%    \code{\link{dbConnect}}
}

\keyword{data}


