\name{drawVolcanoPlot}
\alias{drawVolcanoPlot}
\title{Draw a volcano plot}
\description{
  \code{drawVolcanoPlot} plots a volcano plot scattering the M values (log2 ratio) on the x axis against the p value (-log10 the p value).
}
\usage{
drawVolcanoPlot(M,p,m=1,p.cut=0.05,p.transform=log10,ylab=NULL,colramp=NULL,na.rm=TRUE,...)
}
\arguments{
  \item{M}{The M values.}
  \item{p}{The test statistics (usually p values).}
  \item{m}{Where vertical lines should be drawn. By default two horizontal lines (at M=1 and M=-1) are added to the plot. Submit m=NA if none should be drawn.}
  \item{p.cut}{For what p value a horizontal line should be added to the plot (by default for a p value of p=0.05). Specify p.cut=NA if no line should be drawn.}
  \item{p.transform}{The function that should be applied to the p values. By default \code{-log10}. Note a \code{-} is added to each function submitted here.}
  \item{ylab}{The label for the y axis. By default \code{-log10(p)}}
  \item{colramp}{A color ramp (set of colors) that should be used to code the local point desity. This attribute requires the package \code{geneplotter} as the \code{densCols} function is used to calculate the local point density.}
  \item{na.rm}{If NA values should be removed.}
  \item{...}{Additional parameters for the plot function.}
}
\details{
This function plots M values against test statistics. A horizontal line for a specific p value (by default 0.05) is added as well as vertical lines for a
 specific M value (by default 1 and -1). The data points can be colored according to the local point density by specifying a specific color ramp (e.g. \code{colramp=topo.colors}).
}
\references{}
\author{Johannes Rainer}

%\seealso{
%	\code{\link{densCols}}
%}


\keyword{data}

