\name{getEDB}
\alias{getEDB}
\title{Retrieving expression values from a database.}
\description{
  \code{getEDB} retrieves expression values from the specified signal channels from a maDB database. For further informations and examples refer to the package vignette (which can be opened using the \code{\link{openMadbVignette}}).
}
\usage{
getEDB(con,ids,signal.channels.pk,column.names=c("array_name","color"),v=TRUE)
}
\arguments{
  \item{con}{The connection to the database (created with the \code{dbConnect} function from the \pkg{RdbiPgSQL} package).}
  \item{ids}{The IDs of the genes from which the expression values should be retrieved. In the case of Affymetrix GeneChips the Affymetrix IDs should be used (as they are used as rownames in the \code{exprs} matrix in the \code{ExpressionSet} objects).}
  \item{signal.channels.pk}{the primary keys of the signal channels in the database from which the expression values should be retrieved. To get information about primary keys, arrays... from the database use the \code{\link{dbGetExperimentInfo}} function.}
  \item{column.names}{The information that should be used as column names of the expression values matrix. Allowed are all column names of the sample database table.}
  \item{v}{If TRUE additional information will be printed to the console.}
}
\details{
This function is useful, to retrieve only a subset of genes from a subset of signal channels of a microarray experiment (dataset) from a maDB database.
}
\references{}
\author{Johannes Rainer}

\seealso{
    \code{\link{publishToDB}}
    \code{\link{dbGetExperimentInfo}}
%    \code{\link{dbConnect}}
    \code{\link{loadFromDB}}
    \code{\link{getMDB}}
}

\keyword{data}


