\name{getMDB}
\alias{getMDB}
\title{Retriev regulation values from a database.}
\description{
  \code{getMDB} this function reads the regulation (M) values from the selected comparisons out of a maDB database. For further informations and examples refer to the package vignette (which can be opened using the \code{\link{openMadbVignette}}).
}
\usage{
getMDB(con,ids=NULL,comparisons.pk=NULL,v=TRUE,column.names="description")
}
\arguments{
  \item{con}{The connection to the database (returned by the \code{dbConnect} function of the \pkg{RdbiPgSQL} package).}
  \item{ids}{The IDs of the genes from which the expression values should be retrieved. In the case of Affymetrix GeneChips the Affymetrix IDs should be used (as they are used as rownames in the \code{exprs} matrix in the \code{exprSet} objects).}
  \item{comparisons.pk}{the primary keys of the comparisons in the database for which the regulation values should be exported. A list of available comparisons and informations which sampes are compared in the various comparisons the \code{\link{dbGetComparisons}} function can be used.
}
  \item{column.names}{The information that should be used as column names of the returned regulation values matrix. Allowed are all column names of the sample and comparisons database tables.}
  \item{v}{If TRUE additional information will be printed to the console.}
}
\details{
}
\references{}
\author{Johannes Rainer}

\seealso{
    \code{\link{publishToDB}}
    \code{\link{dbGetExperimentInfo}}
	\code{\link{dbGetComparisons}}
%    \code{\link{dbConnect}}
    \code{\link{loadFromDB}}
    \code{\link{getEDB}}
}

\keyword{data}


