\name{getSamplesFromDB}
\alias{getSamplesFromDB}
\title{Lists all or only specified samples from the database.}
\description{
  \code{getSamplesFromDB} This function lists all samples that are stored into a database with the \code{\link{publishToDB}} function, or lists all samples that match the pattern submitted.
}
\usage{
getSamplesFromDB(Con,table.name="samples",pattern)
}
\arguments{
  \item{Con}{The connection to the database (returned by the \code{dbConnect} function of the \pkg{RdbiPgSQL} package).}
  \item{table.name}{The name of the table that contains the information about the samples.}
  \item{pattern}{A pattern that can be used to search for in all columns of the table.}
}
\details{
This function returns a table (data.frame/matrix) with all samples stored in the database, or searches for those entries, that correspond to the submitted pattern.

}
\references{}
\author{Johannes Rainer}

\seealso{
    \code{\link{publishToDB}}
%    \code{\link{dbConnect}}
    \code{\link{MadbSet-class}}
}

\keyword{data}


