\name{loadFromDB-methods}
\docType{methods}
\alias{loadFromDB-methods}
\alias{loadFromDB,EexprSet-method}
\alias{loadFromDB,MadbSet-method}
\alias{loadFromDB,Sample-method}
\alias{loadFromDB}
\title{Load a dataset from the database}
\description{
  \code{loadFromDB} in package \pkg{maDBi} 
  This method allows to load data sets, stored previously into the database using the \code{\link{publishToDB}} method, back into the R workspace. A list of available data sets in a database created by the maDB package is returned by the \code{\link{dbGetExperimentInfo}} function (by submitting the connection to the database as parameter, a connection to a PostgreSQL database can be established by the \code{dbConnect} function from the \pkg{RdbiPgSQL}).
\\
For further informations and examples refer to the package vignette (which can be opened using the \code{\link{openMadbVignette}}).
}
\usage{
loadFromDB(object=NULL,connection=NULL,name=NULL,pk=NULL,v=TRUE,...)
}
\arguments{
	\item{object}{An empty \code{\link{MadbSet}} or \code{\link{Sample}} object, generated either by \code{link{newMadbSet}} or \code{new("MadbSet")} for \code{MadbSet} objects, or by \code{new("Sample")} for \code{Sample} objects.}
	\item{connection}{The connection object to the database.}
	\item{name}{Only used if a MadbSet should be loaded from the database. Name should be equal to the experiment name that was stored into the database (use \code{\link{dbGetExperimentInfo}} to get a list of all available experiments in the database).}
	\item{pk}{For MadbSet: if a subset of arrays should be loaded from one experiment. As pk the primary keys of the corresponding signal channels should be submitted (to get a list of all signal channels, arrays, samples of a specific experiment in the maDB database use the \code{\link{dbGetExperimentInfo}} function by submitting also the name of the experiment along with the connection to the database as a parameter).}
	\item{v}{If TRUE additional informations will be printed to the console.}
	\item{...}{Additional parameters. Not used yet.}
}
\section{Methods}{
\describe{

\item{object = "MadbSet"}{ Loads a \code{MadbSet} object from the database.}

\item{object = "Sample"}{ Loads a \code{Sample} object from the database, (submit \code{new("Sample"))}}
}}
\section{Warning}{
The usage of this method for \code{\link{EexprSet}} objects is deprecated! Use the \code{\link{MadbSet}} objects instead!
}
\keyword{methods}



