\name{maDB-package}
\alias{maDB-package}
\alias{maDB}
\docType{package}
\title{
Package to store and retrieve microarray experiments into/from a database.
}
\description{
The maDB package allows to store microarray experiments (preprocessed expresion values of one-color (Affymetrix) or two-color microarrays along with sample information and annotation) into a database. As database backend a PostgreSQL database is used, where all needed tables are created automatically once the first experiment is stored into a newly created database using the \code{\link{publishToDB}} method. The database itself consists of a variety of tables, where the microarray data is stored in a relational way, thus allowing to store two-color microarray data and data from one-color (Affymetrix) microarray experiments in the same database.
\\
Use \code{\link{openMadbVignette}} to open the documentation (vignette) of the package.
}
\details{
\tabular{ll}{
Package: \tab maDB\cr
Type: \tab Package\cr
Version: \tab 1.9.4\cr
Date: \tab 2007-05-23\cr
License: \tab LGPL\cr
}
The main function to create the database tables and to insert an experiment into the database is \code{\link{publishToDB}}. Preprocessed expresion values and sample informations of the submitted \code{\link{MadbSet}} object are stored into the database. The function \code{\link{loadFromDB}} can be used to fetch a whole microarray experiment, or a subset of an experiment from the databse. Other functions to access just jubsets of expression values are \code{\link{getEDB}}.
\\
The web interface madbWeb (written in PHP) to a microarray database generated with the maDB package is accessible at http://madb.i-med.ac.at/madbWeb.
\\
Additionally the maDB package provides also functions to create graphical visualizations of microarray data like the \code{\link{drawMA}} function to generate MA (differential expression against average expression) plots, or \code{\link{drawVolcanoPlot}} to generate volcano plots. In both plots the local point density can be color coded.
}
\author{
Johannes Rainer
Maintainer: johannes.rainer@tcri.at
}
\references{
http://madb.i-med.ac.at/madbWeb
}
\keyword{ package }
