\name{multiGrep}
\alias{multiGrep}
\title{Perform a pattern search with a list of patterns}
\description{
  \code{multiGrep}: search for a list of patterns.
}
\usage{
multiGrep(pattern,x,...)
}
\arguments{
  \item{pattern}{The string, or a vector of strings, that should be searched in the submitted data.}
  \item{x}{The data, any kind of string or vector.}
  \item{...}{Some additional parameters for the \code{myGrep} and \code{grep} commands that are executed inside the function.}
}
\details{
The functions performs a \code{myGrep} call for each of the patterns submitted and returns a vector with the indizes where the patterns where found inside the data vector. 
}
\references{}
\author{Johannes Rainer}

\seealso{
	\code{\link{grep}},
	\code{\link{myGrep}}
}

\examples{
test <- c("where","is","the","pattern","in","this","vector","?")
multiGrep(pattern="patt",test)
test[multiGrep(pattern="patt",test)]

multiGrep(pattern=c("the","tor","is","where"),test)
test[multiGrep(pattern=c("the","tor","is","where"),test)]
}

\keyword{utilities}
