\name{dbUpdateAnnotation}
\alias{dbUpdateAnnotation}
\title{Create and update an annotation table in a PostgreSQL database.}
\description{
  \code{dbUpdateAnnotation} creates and updates the annotation database table in a maDB database.
\\
For further informations and examples refer to the package vignette (which can be opened using the \code{\link{openMadbVignette}}).
}
\usage{
dbUpdateAnnotation(Con,data,chip,date,do.backup=TRUE,v=TRUE)
}
\arguments{
  \item{Con}{The connection to the maDB database (returned by the function \code{dbConnect} of the \pkg{RdbiPgSQL} package).}
  \item{data}{The annotation table. Supported column namesare \code{"id","gen_bank","description","uni_gene","locuslink"} (also additional columns containing some additional annotations are allowed, any ordering of columns is allowed).}
  \item{chip}{An identifier for the chip or array (oligo set) respectiveley.}
  \item{date}{The date when the annotation was created.}
  \item{do.backup}{If a backup of the annotation table should be done. This is usefull when the annotation of an already existing table is going to be updated. By default the annotations of the chip that will be updated will be saved as a tab delimited txt file. The backup file will be saved in the current workspace.}
  \item{v}{If TRUE additional information will be printed to the console.}
}
\details{
When creating or updating the database not all columns have to be submitted in the \code{data} argument, when submitting a table with only some of the columns the other columns in the database will remain empty.
}
\references{}
\author{Johannes Rainer}

\seealso{
    \code{\link{dbGetAnnotation}}
%    \code{\link{insertIntoTable}}
%    \code{\link{dbConnect}}
%    \code{\link{updateDBTable}}
}

\keyword{data}


