\name{writeFigure}
\alias{writeFigure}
\title{Includes a figure in a LaTeX document}
\description{
  \code{writeFigure} This function writes all the needed lines into a tex document to include an image into a LaTeX document (the image has to be created before.). 
}
\usage{
writeFigure(file=NULL,image=NULL,label=NULL,caption=NULL,option="[!ht]",image.width=1)
}
\arguments{
  \item{file}{The file where the lines should be included. If the file does not exist it will be created, if the file should be in some subdirectories, these will also be created if needed. As file a file handle or a character string giving the file name (and or directories) can be submitted.}
  \item{image}{The path to the image (relative from the directory where the \code{file} lies into).}
  \item{label}{The label that should be used to link to this figure.}
  \item{caption}{The caption that should be written below the figure.}
  \item{option}{Some LaTeX specific options for the figure.}
  \item{image.width}{The image width relative to the text width.}
}
\details{
The lines that are needed to include an image into a LaTeX document are inserted with this function into a file, if the file does already exist, the lines will be appended. As file parameter also a file handle can be submitted.
}
\references{}
\author{Johannes Rainer}

\seealso{
	\code{\link{writeLatexTable}}
}

\examples{
}

\keyword{data}
