\name{writeLatexTable}
\alias{writeLatexTable}
\title{Writes a matrix or data frame in latex format to a file.}
\description{
  \code{writeLatexTable} This function writes a matrix or a data frame formatted as a LaTeX table to a text file. The text size as well as the number of digits and the desired caption and label can be specified.
}
\usage{
writeLatexTable(data=NULL,file=NULL,append=TRUE,textsize="normalsize",caption=NULL,label=NULL,digits=NULL)
}
\arguments{
  \item{data}{The data that should be written. A matrix or a data frame, the column names will be used as column headers, the row names as row headers.}
  \item{file}{The file where the table should be written into. If directories are specified, these directories (if not already existant) will be created. As file parameter also a file handle can be submitted.}
  \item{append}{If the table should be appended to the text in the file.}
  \item{textsize}{The size of the text, possible alternatives for "normalsize" are "small", "scriptsize" and all other LaTeX text sizes.}
  \item{caption}{The text that should be written into the table caption.}
  \item{label}{The label text that can be used to link to this table.}
  \item{digits}{The number of digits that should be used for all numeric values in the table.}
}
\details{
One important feature of this function is, that the table can be written into a file that has not to be in the working directory. So one can for example by submitting as file=\dQuote{doc/tabletest.tex} writing the table into the file \dQuote{tabletest.tex}, that is in  the subdirectory \dQuote{doc} in the working directory. If this directory does not already exist, the function will create it. But remember that you have to use always the unix file separator \dQuote{/}, also in Windows!
}
\references{}
\author{Johannes Rainer}

\seealso{
	\code{\link{writeFigure}}
}

\examples{
}
\keyword{data}
